Get Template Test Materialize Progress

Prev Next
Get
/api/v1/Authoring/projects/{projectId}/template-tests/{testId}/materialize/{executionKey}

Shows the progress of a template test being materialized

Path parameters
projectId
integer (int32) Required

Project containing the template test

executionKey
stringRequired

Key of the execution to retrieve

testId
stringRequired
Responses
200

OK

Expand All
object
projectId
integer (int32)

The materialization's project ID

executionKey
string | null

The materialization's execution key

name
string | null

The materialization's name

currentStepDescription
string | null

The materialization's current step description

stepIndex
integer (int32)

The materialization's step index

dateCompleted
string (date-time) | null

The materialization's date of completion

errorMessage
string | null

The materialization's error message

warningMessage
string | null

The materialization's warning message

invalidMetaLinks
Array of string

List of the materialization's invalid meta links

string
dateStarted
string (date-time)

The materialization's date started

reloadNavigation
boolean

Whether the materialization should reload navigation

hasMaterializedTests
boolean

Whether the materialization has materialized tests

runBy
object (Configuration.Api.Models.v1.Common.KeyValue)
403

Forbidden

404

Not Found

object
error
string | null